//*****************************************
// Photo Box with ATmega2560
// CPU Clock:O16MHz Ext,Crystal 16MHz)
//   iq[Yf[^@WȂŊOUɂj
//
//
//@OLED 128x64 Control IC: SSD1306
//    H@nkdc\ihhbj
//
//@RTC RX8900(EPSON)
//
// File Name:disp_clock_data_h.h
//
//  PC5(SCL): TWI-SCL
//  PC4(SDA): TWI-SDA
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2023/05/14 New  for mega328_iic_oled_rtc Taishi (TAB4)
//  2023/12/09 Modify for Photo Box with ATmega2560 Taishi
//*****************************************

// ----- ɃO[o̎vf[^iabcj -----
// ----- ɏB܂ł               -----
extern	unsigned char	gYear;
extern	unsigned char	gMon;
extern	unsigned char	gDay;
extern	unsigned char	gHou;
extern	unsigned char	gMin;
extern	unsigned char	gSec;

extern	void	inc_tokei_data_kari();
// --------------------------------------------------

enum DISP_CLOCK_ITEM {		// v\
		D_YEAR = 0,			// N\
		D_MON,				// \
		D_DAY,				// \
		D_HOUR,				// \
		D_MIN,				// \
		D_SEC,				// b\
		D_TEMPE,			// x\
		D_BRIGHT_H,			// 邳\-H
		D_BRIGHT_L,			// 邳\-L

		D_END
	};


extern	void	set_hex_2(unsigned char *bf, unsigned char uc);
extern	void	set_hex_3(unsigned char *bf, unsigned short us);
extern	void	disp_clock_item(unsigned char item_num, unsigned char disp);
extern	void	disp_clock_title(void);
extern	void	disp_clock_const(void);
extern	void	disp_clock_data(unsigned char init);
extern	unsigned char	calcu_tempe(unsigned char uc);
