//*****************************************
// AVR ATmega328 8x8 LED Clock
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
// File Name:ad_conv_h.h
//  wb_[t@C
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//  2023/04/13 Modify for pr_mega328_8x8dot_clock Taishi
//*****************************************

#define	AD_NO			0						// Use A/D ch (0 -- 5,6,7)

#define	N_of_AD_data	8						// Q̊K̒lɌ

#if	AD_NO == 6
extern	int				ad6_ave;

extern	void			ad6_init(void);
extern	void			ad6_close(void);
extern	void			ad6_set_data(void);
extern	void			ad6_get_data(void);

#else
 #if	AD_NO == 5
extern	int				ad5_ave;

extern	void			ad5_init(void);
extern	void			ad5_close(void);
extern	void			ad5_set_data(void);
extern	void			ad5_get_data(void);

 #else

extern	int				gAd0_ave;

extern	void			ad0_init(void);
extern	void			ad0_close(void);
extern	void			ad0_set_data(void);
extern	void			ad0_get_data(void);
 #endif
#endif
