//*******************************************************
// Photo Box with ATmega2560
// CPU Clock:O16MHz Ext,Crystal 16MHz)
//   iq[Yf[^@WȂŊOUɂj
//
//  file name: disp_8x48_dot_h.h
//  wb_[t@C
//
//@@@*** block-1 (E1 & E2) ***
//@@@PH0:COL1  High:Active
//@@@PH1:COL2  High:Active
//@@@PH2:COL3  High:Active
//@@@PH3:COL4  High:Active
//@@@PH4:COL5  High:Active
//@@@PH5:COL6  High:Active
//@@@PH6:COL7  High:Active
//@@@PH7:COL8  High:Active
//@@@PJ0:COL9  High:Active
//@@@PJ1:COL10 High:Active
//@@@PJ2:COL11 High:Active
//@@@PJ3:CO_12 High:Active
//@@@PJ4:COL13 High:Active
//@@@PJ5:COL14 High:Active
//@@@PJ6:COL15 High:Active
//@@@PJ7:COL16 High:Active
//
//@@@*** block-2 (E3 & E4) ***
//@@@PK0:COL1  High:Active
//@@@PK1:COL2  High:Active
//@@@PK2:COL3  High:Active
//@@@PK3:COL4  High:Active
//@@@PK4:COL5  High:Active
//@@@PK5:COL6  High:Active
//@@@PK6:COL7  High:Active
//@@@PK7:COL8  High:Active
//@@@PL0:COL9  High:Active
//@@@PL1:COL10 High:Active
//@@@PL2:COL11 High:Active
//@@@PL3:CO_12 High:Active
//@@@PL4:COL13 High:Active
//@@@PL5:COL14 High:Active
//@@@PL6:COL15 High:Active
//@@@PL7:COL16 High:Active
//
//@@@*** block-3 (E5 & E6) ***
//@@@PG0:COL1  High:Active
//@@@PG1:COL2  High:Active
//@@@PG2:COL3  High:Active
//@@@PG3:COL4  High:Active
//@@@PD4:COL5  High:Active
//@@@PD5:COL6  High:Active
//@@@PD6:COL7  High:Active
//@@@PD7:COL8  High:Active
//@@@PB0:COL9  High:Active
//@@@PF1:COL10 High:Active
//@@@PF2:COL11 High:Active
//@@@PF3:CO_12 High:Active
//@@@PF4:COL13 High:Active
//@@@PF5:COL14 High:Active
//@@@PF6:COL15 High:Active
//@@@PF7:COL16 High:Active
//
//@@@*** block-1 (E1 & E2) ***
//@@@PA0:ROW1 Low:Active
//@@@PA1:ROW2 Low:Active
//@@@PA2:ROW3 Low:Active
//@@@PA3:ROW4 Low:Active
//@@@PA4:ROW5 Low:Active
//@@@PA5:ROW6 Low:Active
//@@@PA6:ROW7 Low:Active
//@@@PA7:ROW8 Low:Active
//
//@@@*** block-2 (E3 & E4) ***
//@@@PC0:ROW1 Low:Active
//@@@PC1:ROW2 Low:Active
//@@@PC2:ROW3 Low:Active
//@@@PC3:ROW4 Low:Active
//@@@PC4:ROW5 Low:Active
//@@@PC5:ROW6 Low:Active
//@@@PC6:ROW7 Low:Active
//@@@PC7:ROW8 Low:Active
//
//@@@*** block-3 (E5 & E6) ***
//@@@PE0:ROW1 Low:Active
//@@@PE1:ROW2 Low:Active
//@@@PE2:ROW3 Low:Active
//@@@PE3:ROW4 Low:Active
//@@@PE4:ROW5 Low:Active
//@@@PE5:ROW6 Low:Active
//@@@PE6:ROW7 Low:Active
//@@@PE7:ROW8 Low:Active
//
//
//  2022/11/29  New(TAB4)	taishi for nega48 & Character Mode only, Anode Common only
//  2023/12/09 Modify for Photo Box with ATmega2560 Taishi
//*******************************************************


enum DISP_8x48_ITEMS {		// v\
		I_YEAR = 0,			// N\
		I_MON,				// \
		I_DAY,				// \
		I_HOUR,				// \
		I_MIN,				// \
		I_SEC,				// b\
		I_WD,				// j\
		I_TEMPE,			// x\
		I_BRIGHT,			// 邳\

		I_END
	};


extern	unsigned char	gSet_count;

extern	void	disp_8x48_dot_init(void);
extern	void	disp_8x48_dot_led(void);
extern	void	asc_to_dotmatrix(unsigned char n,unsigned char uc,unsigned char	right,unsigned char mirror_upsidedown);

extern	void	check_8x48_dot_static(void);
extern	void	asc_to_rotate90(unsigned char n,unsigned char uasc,unsigned char secdot);
extern	void	wd_to_dotmatrix(unsigned char n,unsigned char wd);

extern	void	disp_8x48_clock_item(unsigned char item_num, unsigned char disp);
extern	void	disp_8x48_clock_const(void);
extern	void	clear_8x48_G(void);
extern	void	disp_8x48_G_5x7(unsigned char pos_x, unsigned char *ucp);
extern	void	disp_8x8_item(unsigned char num, unsigned char x, unsigned char *puc);
extern	void	disp_1x8_compliment(unsigned char x);
extern	void	disp_tate1_compliment(unsigned char n);
extern	void	clear_sec_dot(void);
